Package be.cin.mycarenet.esb.common.v2.chap4

# Class ObjectFactory

java.lang.Object
be.cin.mycarenet.esb.common.v2.chap4.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.mycarenet.esb.common.v2.chap4 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.mycarenet.esb.common.v2.chap4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareProviderType`
  `createCareProviderType()`
  Create an instance of `CareProviderType`
  `CommonInputType`
  `createCommonInputType()`
  Create an instance of `CommonInputType`
  `CommonOutputType`
  `createCommonOutputType()`
  Create an instance of `CommonOutputType`
  `IdType`
  `createIdType()`
  Create an instance of `IdType`
  `LicenseType`
  `createLicenseType()`
  Create an instance of `LicenseType`
  `NihiiType`
  `createNihiiType()`
  Create an instance of `NihiiType`
  `OrigineType`
  `createOrigineType()`
  Create an instance of `OrigineType`
  `PackageType`
  `createPackageType()`
  Create an instance of `PackageType`
  `PartyType`
  `createPartyType()`
  Create an instance of `PartyType`
  `RecordCommonInputType`
  `createRecordCommonInputType()`
  Create an instance of `RecordCommonInputType`
  `RecordCommonOutputType`
  `createRecordCommonOutputType()`
  Create an instance of `RecordCommonOutputType`
  `RequestType`
  `createRequestType()`
  Create an instance of `RequestType`
  `ValueRefString`
  `createValueRefString()`
  Create an instance of `ValueRefString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.mycarenet.esb.common.v2.chap4

- ## Method Details

  - ### createValueRefString

    public ValueRefString createValueRefString()
    Create an instance of `ValueRefString`
    Returns:
      the new instance of `ValueRefString`

  - ### createCommonInputType

    public CommonInputType createCommonInputType()
    Create an instance of `CommonInputType`
    Returns:
      the new instance of `CommonInputType`

  - ### createRecordCommonInputType

    public RecordCommonInputType createRecordCommonInputType()
    Create an instance of `RecordCommonInputType`
    Returns:
      the new instance of `RecordCommonInputType`

  - ### createCommonOutputType

    public CommonOutputType createCommonOutputType()
    Create an instance of `CommonOutputType`
    Returns:
      the new instance of `CommonOutputType`

  - ### createRecordCommonOutputType

    public RecordCommonOutputType createRecordCommonOutputType()
    Create an instance of `RecordCommonOutputType`
    Returns:
      the new instance of `RecordCommonOutputType`

  - ### createRequestType

    public RequestType createRequestType()
    Create an instance of `RequestType`
    Returns:
      the new instance of `RequestType`

  - ### createOrigineType

    public OrigineType createOrigineType()
    Create an instance of `OrigineType`
    Returns:
      the new instance of `OrigineType`

  - ### createPackageType

    public PackageType createPackageType()
    Create an instance of `PackageType`
    Returns:
      the new instance of `PackageType`

  - ### createLicenseType

    public LicenseType createLicenseType()
    Create an instance of `LicenseType`
    Returns:
      the new instance of `LicenseType`

  - ### createPartyType

    public PartyType createPartyType()
    Create an instance of `PartyType`
    Returns:
      the new instance of `PartyType`

  - ### createCareProviderType

    public CareProviderType createCareProviderType()
    Create an instance of `CareProviderType`
    Returns:
      the new instance of `CareProviderType`

  - ### createIdType

    public IdType createIdType()
    Create an instance of `IdType`
    Returns:
      the new instance of `IdType`

  - ### createNihiiType

    public NihiiType createNihiiType()
    Create an instance of `NihiiType`
    Returns:
      the new instance of `NihiiType`